var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { UmbDropzoneMediaElement } from './dropzone-media.element.js';
import { UmbDeprecation } from '../../../core/utils/index.js';
import { customElement } from '../../../../external/lit/index.js';
const DEPRECATION_MESSAGE = new UmbDeprecation({
    deprecated: '<umb-dropzone />',
    removeInVersion: '18',
    solution: 'Use <umb-dropzone-media /> for media items and <umb-input-dropzone /> for all other files and folders.',
});
/**
 * @inheritdoc
 * @deprecated Use {@link UmbDropzoneMediaElement} for media items instead, and {@link UmbInputDropzoneElement} for all other files and folders. This will be removed in Umbraco 18.
 */
let UmbDropzoneElement = class UmbDropzoneElement extends UmbDropzoneMediaElement {
    connectedCallback() {
        super.connectedCallback();
        DEPRECATION_MESSAGE.warn();
    }
};
UmbDropzoneElement = __decorate([
    customElement('umb-dropzone')
], UmbDropzoneElement);
export default UmbDropzoneElement;
